Subject: Re: Dlls @n symbols
From: Emanuele ALIBERTI <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 24 Jun 1999 00:15:16 PDT

>I'll take a look at the doc. I believe the docs refer the number "1" below
>as the ordinal, not the @<n> number in foo@0.
>
>   EXPORTS
>     foo = foo@0 @ 1	; 1 is the ordinal number.

In the doc it is actually written `@ <number>', near --kill-at, with a space 
between @ and number. If not wrong, it is quite ambiguous: I didn't know 
spaces are allowed in symbols.

>It turns out that Suhaib's problem is very different than yours.

It may be I misunderstood it.

>What you're telling the dll tools is that you want to link with Bar@0, but
>have the DLL export Bar; similarly with Foo. One way to get both in the
>export list is the following:
>
>  LIBRARY sample
>  EXPORTS
>  Bar@0
>  Bar=Bar@0
>  Foo@24
>  Foo=Foo@24
>
>Now sample.dll exports both Foo and Foo@24.

The goal for me is:
1. NOT having mangled names in the exports table
2. having an import library which lets ld lookup mangled names
3. having finally an application that imports UNmangled names

I succeeded only with step 1.

>dllwrap and dlltool both provide --add-stdcall-alias option just for this
>so you don't have to do this manually. See my dllhelpers examples for more
>info at http://www.xraylith.wisc.edu/pub/khan/gnu-win32/dllhelpers.html.

Thank you for answering and the URL.

Best regards,
Emanuele

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]